%define upstream_name    Mail-POP3Client
%define upstream_version 2.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    POP3Client module for perl (Mail_and_Usenet_News/Mail)
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SD/SDOWD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

Obsoletes:  perl-POP3Client <= 2.130.0
Provides:   POP3Client = %{version}

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes FAQ META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail/
%_mandir/man3/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.210.0-2.mga10
+ Revision: 2214586
- Mageia 10 Mass Rebuild

* Tue May 10 2022 tv <tv> 2.210.0-1.mga9
+ Revision: 1857321
- update to 2.21

* Fri May 06 2022 tv <tv> 2.200.0-1.mga9
+ Revision: 1856462
- update to 2.20

* Sun Mar 20 2022 umeabot <umeabot> 2.190.0-9.mga9
+ Revision: 1804352
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.190.0-8.mga8
+ Revision: 1495509
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.190.0-7.mga7
+ Revision: 1269128
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.190.0-6.mga6
+ Revision: 1029506
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.190.0-5.mga6
+ Revision: 933813
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.190.0-4.mga5
+ Revision: 749409
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.190.0-3.mga5
+ Revision: 685318
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.190.0-2.mga4
+ Revision: 539405
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 2.190.0-1.mga4
+ Revision: 492129
- update to 2.19

* Sun Jan 13 2013 umeabot <umeabot> 2.180.0-3.mga3
+ Revision: 369423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.180.0-2.mga1
+ Revision: 52165
- obsoleting perl-POP3Client

* Sat Jan 22 2011 jquelin <jquelin> 2.180.0-1.mga1
+ Revision: 30774
- mageia rebuild
- imported package perl-Mail-POP3Client


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.180.0-1mdv2010.0
+ Revision: 407794
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.18-4mdv2009.0
+ Revision: 257689
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.18-3mdv2009.0
+ Revision: 245775
- rebuild

* Thu Feb 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.1
+ Revision: 175983
- update to new version 2.18

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdv2008.0
+ Revision: 25116
- Import perl-Mail-POP3Client

